import discord
from discord.ext import commands

# Словарь замен ключевых слов
KEYWORD_REPLACEMENTS = {
    "путин": "Дед Мороз",
    "пизда": "селёдка под шубой",
    "хохол": "Эльф",
    "хуй": "посох",
    "говно": "оливье",
    "моча": "помощники Санты",
    "байден": "Санта Клаус",
    "зеленский": "Гринч",
    "свинья": "северный олень",
    "мобилизация": "хоровод",
    "бабах": "фейерверк",
    "оп": "хохохо",
    "бух": "Счастливого рождественского и нового года!",
    "buh": "Happy new year!",
    "еблан": "непослушный мальчик",
    "насру": "подарю подарочек",
    "кабачок": "мандаринка"
}

intents = discord.Intents.default()
intents.messages = True
intents.message_content = True
bot = commands.Bot(command_prefix="!", intents=intents)

@bot.event
async def on_ready():
    print(f"Бот {bot.user} успешно запущен!")

@bot.event
async def on_message(message):
    # Игнорировать сообщения от самого бота
    if message.author == bot.user:
        return

    modified_content = message.content
    original_content = message.content

    reference = message.reference
    if reference and isinstance(reference.resolved, discord.Message):
        await reference.resolved.reply(embed=embed)
    else:
        await message.channel.send(embed=embed)

    # Заменяем каждое ключевое слово в сообщении (регистронезависимо)
    for keyword, replacement in KEYWORD_REPLACEMENTS.items():
        modified_content = modified_content.replace(keyword, f"__{replacement}__")
        modified_content = modified_content.replace(keyword.capitalize(), f"__{replacement}__")
        modified_content = modified_content.replace(keyword.upper(), f"__{replacement}__")

    # Если были изменения, удаляем оригинальное сообщение и отправляем новое в эмбеде
    if modified_content.lower() != original_content.lower():

        try:
            await message.delete()
        except discord.errors.Forbidden:
            print(f"Нет прав на удаление сообщения от {message.author}")
        
        embed = discord.Embed(title="Сообщение было изменено", description=modified_content, color=discord.Color.blue())
        if message.author.avatar:
            embed.set_author(name=str(message.author), icon_url=message.author.avatar.url)
        else:
            embed.set_author(name=str(message.author))
        embed.set_footer(text=f"ID автора: {message.author.id}")

        reference = message.reference
        if reference and isinstance(reference.resolved, discord.Message):
            await reference.resolved.reply(embed=embed)
        else:
            await message.channel.send(embed=embed) 
# Замените 'YOUR_TOKEN_HERE' на токен вашего бота
bot.run('YOUR_TOKEN_HERE')
